Subject: Re: bug#12508: use absolute paths, not ../.. in *Compile-Log*

From: Chong Yidong <[email-masked]>
Date: Wed, 26 Sep 2012 10:59:59 +0800

[email-masked] writes:

> All I know is Glen made a change to now show file paths.
> But they are now coming up relative.

I don't see why that's a problem.

> CY> I can't reproduce this, since there are insufficient details given.
> CY> M-x byte-compile-file RET does not use ../.. relative file names.
>
> I didn't use byte-compile-file, all I did was
> $ emacs -f gnus

Nope, can't reproduce that here.  Maybe the *Compile-Log* buffer is
caused by Gnus byte compiling uncompiled library files (most likely due
to a faulty installation).  But in any case there's no problem with
having relative file names.